/* ==================== Classes ==================== */

/* Style partagé par toutes les cases */
.case {
    -fx-background-color: #FFFFFF;
    -fx-background-radius: 0;
    -fx-padding: -999; /* Retirer totalement le padding */
    -fx-border-color: white;
    -fx-border-width: 1.5px;
}

/* Case numérique */
.case-numerique {
    -fx-text-fill:#646464;
}

/* Case blanche */
.case-blanche {

}

/* Case noire */
.case-noire {
    -fx-background-color: linear-gradient(from 13px 38px to 52px 100px, reflect,  #6e6e6e, #eaeaea 100%);
}

/* Case point */
.case-point {

}

/* Case mise en surbrillance */
.surbrillance {
    -fx-effect: innershadow(gaussian, rgb(193, 193, 193), 40, 0.1, 0, 0);
}

/* Menu de navigation(outil)*/
.toolBar{
    /*-fx-background-color: #ffffff;*/
    -fx-background-color: radial-gradient(focus-distance 0% , center 0% 0% , radius 0% , #f2f2f2,rgb(134, 134, 134));
    -fx-effect: innershadow(three-pass-box, rgb(255, 255, 255), 5, 1, 0, 0);
    -fx-border-color: linear-gradient(from 13px 38px to 52px 52px, reflect,  #828282, #7e7e7e 100%);
    -fx-border-style: solid inside;
    -fx-border-width: 10px 10px 10px 10px;

}
.toolBar Button{
    -fx-background-color: #ffffff;
    -fx-background-radius: 50px;
    -fx-border-radius: 50px;
    -fx-border-width: 2px;
    -fx-border-color: #afafaf;
    -fx-effect: dropshadow(three-pass-box, rgb(58, 58, 58), 1, 0.8, 3, 1.5);

}

.toolBar Button:hover{
    -fx-background-color: #b8b8b8;

}

.toolBar Button:pressed {
    -fx-background-color: #898989;
}

.score
{
    -fx-background-color: radial-gradient(focus-distance 0% , center 0% 0% , radius 0% , #ffffff,rgb(255, 255, 255));
    -fx-background-radius: 10px;
    -fx-border-color: rgb(193, 193, 193);/*linear-gradient(from 13px 38px to 52px 52px, reflect,  #fff200, #ffd000 100%);*/
    -fx-border-style: solid outside;
    -fx-border-radius: 10px;
    -fx-border-width: 1px 1px 1px 1px;
}

.score-text .text
{
    -fx-font-size: 20pt ;
    -fx-font-weight:bold;
    -fx-fill: white;
    -fx-stroke: #6d6d6d;
    -fx-stroke-width: 1.5px;
    -fx-effect: dropshadow(three-pass-box, rgb(68, 68, 68), 2, 0.8, 0, 2);
}

.btn-toggle-aide
{
    -fx-background-color: white;
    -fx-background-radius: 0 0 100% 100%;
    -fx-border-color: rgb(193, 193, 193);
    -fx-border-style: solid outside;
    -fx-border-radius: 0px 0px 20px 20px;
    -fx-border-width: 0px 2px 2px 2px;
}

.btn-toggle-aide:hover
{
    -fx-background-color: rgb(193, 193, 193);
    
}

/* menu déroulant d'aide*/
.panneau-aide
{
    -fx-background-color : white;
    -fx-background-radius: 0 0 20px 20px;
    -fx-border-color: rgb(58, 58, 58);
    -fx-border-style: solid outside;
    -fx-border-radius: 0px 0px 20px 20px;
    -fx-border-width: 0px 2px 2px 2px;
    -fx-text-fill: red;
}

/* Bouton d'affichage des positions des aides */
.btn-aff-pos {
    -fx-background-color : white;
    -fx-background-radius: 20px;
    -fx-border-color: rgb(58, 58, 58);
    -fx-border-style: solid outside;
    -fx-border-radius: 20px;
    -fx-border-width: 2px;
}

.btn-aff-pos:hover
{
    -fx-background-color: rgb(247, 247, 247);
}

/* Pop-up alert */
.alert {
    -fx-background-color: linear-gradient(from 5px 5px to 52px 100px, reflect,  rgb(255, 255, 255), #858585 100%);
    -fx-font-size: 14px;
    
}

.alert:header *.header-panel{
    -fx-background-color: linear-gradient(from 5px 5px to 52px 100px, reflect,  rgb(255, 255, 255), #a4a4a4 100%);/*#ffe552;*/
    
}

.alert .button-bar .button {
    -fx-background-color: #565656;
    -fx-text-fill: white;
    -fx-font-weight: bold;
    -fx-font-size: 14px;
    -fx-border-width:3px;
    -fx-border-color:rgb(255, 255, 255);
    -fx-effect: dropshadow(three-pass-box, rgb(52, 52, 52),2, 0.9, 2, 2);
}

.alert .button-bar .button:hover {
    -fx-background-color: #727272;
}

/* ==================== IDs ==================== */
